## GUPnPLastChangeParser GUPnPLastChangeParser — A/V LastChange event XML parser |

## Functions

GUPnPLastChangeParser * | gupnp_last_change_parser_new ()
gboolean | gupnp_last_change_parser_parse_last_change_valist ()
gboolean | gupnp_last_change_parser_parse_last_change ()

## Types and Values

| GUPnPLastChangeParser

## Object Hierarchy

        GObject
        ╰── GUPnPLastChangeParser

## Description

GUPnPLastChangeParser parses XML strings from LastChange events that are generated by AVTransport and RenderingControl services.

## Functions

### gupnp_last_change_parser_new ()

    GUPnPLastChangeParser *
    gupnp_last_change_parser_new (void);

#### Returns

A new GUPnPLastChangeParser

### gupnp_last_change_parser_parse_last_change_valist ()

    gboolean
    gupnp_last_change_parser_parse_last_change_valist
                                   (GUPnPLastChangeParser *parser,
                                    guint instance_id,
                                    const char *last_change_xml,
                                    GError **error,
                                    va_list var_args);

See `gupnp_last_change_parser_parse_last_change()`; this version takes a va_list for use by language bindings.

#### Parameters

parser | A GUPnPLastChangeParser |
instance_id | The ID of the AV instance caller is interested in |
last_change_xml | The xml from the "LastChange" event to parse |
error | The location where to store any error, or NULL |
var_args | A va_list of tuples of state variable name, state variable type, and state variable value location, terminated with NULL. The state variable values should be freed after use |

#### Returns

TRUE on success.

### gupnp_last_change_parser_parse_last_change ()

    gboolean
    gupnp_last_change_parser_parse_last_change
                                   (GUPnPLastChangeParser *parser,
                                    guint instance_id,
                                    const char *last_change_xml,
                                    GError **error,
                                    ...);

Parses the xml fragment from a LastChange event.

#### Parameters

parser | A GUPnPLastChangeParser |
instance_id | The ID of the AV instance caller is interested in |
last_change_xml | The xml from the "LastChange" event to parse |
error | The location where to store any error, or NULL |
... | tuples of state variable name, state variable type, and state variable value location, terminated with NULL. The state variable values should be freed after use. |

#### Returns

TRUE on success.

## Types and Values

### GUPnPLastChangeParser

    typedef struct _GUPnPLastChangeParser GUPnPLastChangeParser;